<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_error_report".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanErrorReport".
 *
 * Columns in table "scan_error_report" available as properties of the model,
 * followed by relations of table "scan_error_report" available as properties of the model.
 *
 * @property integer $id
 * @property string $date_added
 *
 * @property ScanError[] $scanErrors
 */
abstract class BaseScanErrorReport extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_error_report';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanErrorReport|ScanErrorReports', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('date_added', 'safe'),
            array('date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanErrors' => array(self::HAS_MANY, 'ScanError', 'scan_error_report_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'date_added' => Yii::t('app', 'Date Added'),
            'scanErrors' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
